SPINDLE_MONITOR(9)

NAME

spindle_monitor - spindle at-speed and underspeed detection

SYNOPSIS

loadrt spindle_monitor [count=N|names=name1[,name2...]]

FUNCTIONS

spindle-monitor.N (requires a floating-point thread)

PINS

spindle-monitor.N.spindle-is-on bit in

spindle-monitor.N.spindle-command float in

spindle-monitor.N.spindle-feedback float in

spindle-monitor.N.spindle-at-speed bit out

spindle-monitor.N.spindle-underspeed bit out

PARAMETERS

spindle-monitor.N.level u32 rw
    state machine state

spindle-monitor.N.threshold float rw

AUTHOR

Sebastian Kuzminsky

LICENSE

gpl v2 or higher